/*******************************************************************
                      C O P Y R I G H T  (c) 1998
        F O C U S     A U T O M A T I O N   S Y S T E M S   I N C.
                          All Rights Reserved.
 -------------------------------------------------------------------

 msg.c - Message handler for this utility.

 -------------------------------------------------------------------
 *******************************************************************
 * $Source: $
 * $Date: $
 * $Revision: $
 *******************************************************************
*/

#include <unistd.h>
#include <sys/kernel.h>

#include <Pt.h>
#include <Ap.h>

#include "abimport.h"
#include "msg.h"


int msg_handler( void *data, pid_t pid, void *msg, size_t size )
{
    short msg_code;

    Reply( pid, 0, NULL );

    if ( size >= sizeof( short ) )
    {
        msg_code = *(short *)msg;

        switch ( msg_code )
        {
            case MSG_CODE_QUIT:
                PtDestroyWidget( ABW_base );
                exit( EXIT_SUCCESS );
                break;

            case MSG_VERIFY_ALIVE:
                /* This message (or any message) can't be received until
                   we have registered our name.  Sending us a verify_alive
                   message just ensures that we are ready to go.        */
                break;
        }
    }

    return ( Pt_CONTINUE );
}

