/*******************************************************************
                      C O P Y R I G H T  (c) 1998
        F O C U S     A U T O M A T I O N   S Y S T E M S   I N C.
                          All Rights Reserved.
 -------------------------------------------------------------------

 numpad.h - Interface to the numpad Photon utility.

 -------------------------------------------------------------------
 *******************************************************************
 * $Source: $
 * $Date: $
 * $Revision: $
 *******************************************************************
*/

#ifndef __NUMPAD_H__
#define __NUMPAD_H__

#include <photon/PhT.h>

#define NUMPAD_AUTO_HIDE  Pt_TRUE

/* To have numpad disappear after the user presses 'enter', use
   show_numpad( NUMPAD_AUTO_HIDE ).  If you want numpad to hang
   around, use show_numpad( !NUMPAD_AUTO_HIDE ).

   You can use 'topleft' to specify the topleft position of the
   numpad window, or 'avoid' to specify an area to not cover on
   the screen (presumably the "extent" of the widget which will
   receive input from the numpad).  If you do not wish to use
   either topleft or avoid, pass in NULL.  If both values are
   NULL, numpad will place itself wherever it was last placed
   on the screen.
*/

int show_numpad( int auto_hide, PhPoint_t *topleft, PhRect_t *avoid );

int hide_numpad( void );

#endif

